Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.nio
Class DefaultNHttpServerConnectionFactory

    java.lang.Object
      org.apache.http.impl.nio.DefaultNHttpServerConnectionFactory

All Implemented Interfaces:
  NHttpConnectionFactory<DefaultNHttpServerConnection>

    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultNHttpServerConnectionFactory

extends Object
implements NHttpConnectionFactory<DefaultNHttpServerConnection>

Default factory for plain (non-encrypted), non-blocking `NHttpServerConnection`s.

Since:
  4.2

Constructor Summary
`DefaultNHttpServerConnectionFactory()`
`DefaultNHttpServerConnectionFactory(ByteBufferAllocator allocator, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ConnectionConfig cconfig)`
`DefaultNHttpServerConnectionFactory(ConnectionConfig config)`
`DefaultNHttpServerConnectionFactory(ContentLengthStrategy incomingContentStrategy, ContentLengthStrategy outgoingContentStrategy, NHttpMessageParserFactory<HttpRequest> requestParserFactory, NHttpMessageWriterFactory<HttpResponse> responseWriterFactory, ByteBufferAllocator allocator, ConnectionConfig cconfig)`
`DefaultNHttpServerConnectionFactory(HttpParams params)` Deprecated. (4.3) use `DefaultNHttpServerConnectionFactory(ConnectionConfig)`
`DefaultNHttpServerConnectionFactory(HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) use `DefaultNHttpServerConnectionFactory( ByteBufferAllocator, NHttpMessageParserFactory, NHttpMessageWriterFactory, ConnectionConfig)`

Method Summary
`DefaultNHttpServerConnection` | `createConnection(IOSession session)`
`protected DefaultNHttpServerConnection` | `createConnection(IOSession session, HttpRequestFactory requestFactory, ByteBufferAllocator allocator, HttpParams params)` Deprecated. (4.3) no longer used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNHttpServerConnectionFactory

    @Deprecated
    public DefaultNHttpServerConnectionFactory(HttpRequestFactory requestFactory,
                                                          ByteBufferAllocator allocator,
                                                          HttpParams params)

  Deprecated. (4.3) use `DefaultNHttpServerConnectionFactory( ByteBufferAllocator, NHttpMessageParserFactory, NHttpMessageWriterFactory, ConnectionConfig)`

### DefaultNHttpServerConnectionFactory

    @Deprecated
    public DefaultNHttpServerConnectionFactory(HttpParams params)

  Deprecated. (4.3) use `DefaultNHttpServerConnectionFactory(ConnectionConfig)`

### DefaultNHttpServerConnectionFactory

    public DefaultNHttpServerConnectionFactory(ContentLengthStrategy incomingContentStrategy,
                                               ContentLengthStrategy outgoingContentStrategy,
                                               NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                               NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                               ByteBufferAllocator allocator,
                                               ConnectionConfig cconfig)

Since:
  4.3

### DefaultNHttpServerConnectionFactory

    public DefaultNHttpServerConnectionFactory(ByteBufferAllocator allocator,
                                               NHttpMessageParserFactory<HttpRequest> requestParserFactory,
                                               NHttpMessageWriterFactory<HttpResponse> responseWriterFactory,
                                               ConnectionConfig cconfig)

Since:
  4.3

### DefaultNHttpServerConnectionFactory

    public DefaultNHttpServerConnectionFactory(ConnectionConfig config)

Since:
  4.3

### DefaultNHttpServerConnectionFactory

    public DefaultNHttpServerConnectionFactory()

Since:
  4.3

Method Detail

### createConnection

    @Deprecated
    protected DefaultNHttpServerConnection createConnection(IOSession session,
                                                                       HttpRequestFactory requestFactory,
                                                                       ByteBufferAllocator allocator,
                                                                       HttpParams params)

  Deprecated. (4.3) no longer used.

### createConnection

    public DefaultNHttpServerConnection createConnection(IOSession session)

  Specified by:
    `createConnection` in interface `NHttpConnectionFactory<DefaultNHttpServerConnection>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.